<?php

// Environment
require_once __DIR__ . '/helpers/env.php';
define('WP_ENV', env('WP_ENV'));

// URLs
define('WP_HOME', env('WP_HOME'));
define('WP_SITEURL', env('WP_SITEURL'));

// Content
define('CONTENT_DIR', '/app');
define('WP_CONTENT_DIR', $public . CONTENT_DIR);
define('WP_CONTENT_URL', WP_HOME . CONTENT_DIR);

// Theme
define('WP_USE_THEMES', true);
define('WP_DEFAULT_THEME', env('WP_THEME'));

// Database
define('DB_HOST', env('DB_HOST'));
define('DB_NAME', env('DB_NAME'));
define('DB_USER', env('DB_USER'));
define('DB_PASSWORD', env('DB_PASSWORD'));
define('DB_CHARSET', 'utf8mb4');
define('DB_COLLATE', '');
$table_prefix = env('DB_PREFIX');

// Salts
define('AUTH_KEY', env('AUTH_KEY'));
define('SECURE_AUTH_KEY', env('SECURE_AUTH_KEY'));
define('LOGGED_IN_KEY', env('LOGGED_IN_KEY'));
define('NONCE_KEY', env('NONCE_KEY'));
define('AUTH_SALT', env('AUTH_SALT'));
define('SECURE_AUTH_SALT', env('SECURE_AUTH_SALT'));
define('LOGGED_IN_SALT', env('LOGGED_IN_SALT'));
define('NONCE_SALT', env('NONCE_SALT'));

// NAS
define('NAS_IP', env('NAS_IP'));
define('NAS_DOWNLOAD', env('NAS_DOWNLOAD'));
define('NAS_UPLOAD', env('NAS_UPLOAD'));

// Multisite
if (env('WP_MULTISITE', false)) {
	require_once __DIR__ . '/multisite.php';
}

// Environments
if (WP_ENV == 'development') {
	require_once __DIR__ . '/stages/development.php';
} elseif (WP_ENV == 'staging') {
	require_once __DIR__ . '/stages/staging.php';
} else {
	require_once __DIR__ . '/stages/production.php';
}

// Whoops
if (WP_ENV != 'production') {
	require_once __DIR__ . '/helpers/whoops.php';
}
